Visa Developer Community

Highlighted
Regular Visitor

fatal alert: Protocol Version

Hi there,

 

I'm trying to run the tests provided in the visa developer account; the java tests.

 

I followed the guidelines mentioned in the VISA developer website for setting up the Two-way mutual SSL

 

However when I execute the tests I get the following error.

 

org.springframework.web.client.ResourceAccessException: I/O error on POST request for "https://sandbox.api.visa.com/globalatmlocator/v1/localatms/routesinquiry": Received fatal alert: protocol_version; nested exception is javax.net.ssl.SSLException: Received fatal alert: protocol_version

at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:666)

at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:628)

at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)

at com.visa.developer.sample.locate_atms_api.ApiClient.invokeAPI(ApiClient.java:735)

at com.visa.developer.sample.locate_atms_api.api.AtmlocatorApi.postroutesInquiry(AtmlocatorApi.java:234)

at com.visa.developer.sample.locate_atms_api.api.AtmlocatorApiTest.postroutesInquiryTest(AtmlocatorApiTest.java:125)

 

Please let me know what could  be going wrong

 

Thanks,

Pavan.

Tags (3)
1 REPLY 1
Highlighted
Visa Dev Moderator

Re: fatal alert: Protocol Version

Hi Pavan,

 

What version of Java are you using ? Can you try with Java 1.8 or above and let me know if you are still facing the below issue ?

 

Thanks,

Jai

Tags (1)